#
# spec file for package apache2-mod_proxy_html (Version 3.1.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

%define modname mod_proxy_html
%if 0%{?suse_version}
%define apxs /usr/sbin/apxs2
%else
%define apxs /usr/sbin/apxs
%endif
%define apache apache2
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%if 0%{?suse_version}
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%else
%define apache_sysconfdir %(%{apxs} -q PREFIX)
%endif
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)

Name:           apache2-mod_proxy_html
Summary:        Apache2 module to rewrite URLs into proxy's address space
Version:        3.1.2
Release:        1.1
License:        GPL v2
Group:          Productivity/Networking/Web/Servers
Autoreqprov:    on
Url:            http://apache.webthing.com/mod_proxy_html
Source0:        %{modname}-%{version}.tar.bz2
Source1:        rpmlintrc
Source2:        README.SuSE
Patch0:         %{modname}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         sed
%if 0%{?suse_version}
BuildRequires:  apache2-devel
%else
BuildRequires:  httpd-devel httpd
%endif
BuildRequires:  libxml2-devel
Requires:  apache2 %{apache_mmn}


%description
Rewriting URLs into a proxy's address space is of course the primary purpose of
 this module. From Version 2.0, this capability has been extended from
 rewriting HTML URLs to processing scripts and stylesheets that
 may contain URLs.


%prep
%setup -n %{modname}
%{__cp} -a %{S:2} .
%patch0 -p1

%build
%{apxs} -lxml2 -I./ -I/usr/include/libxml2 -c %{modname}.c

%install
# first fix @libdir@
%{__sed} -i -e "s,@libdir@,%{_libdir},g" proxy_html.conf

# install needed files
%{__install} -D -m0644 proxy_html.conf $RPM_BUILD_ROOT%{apache_sysconfdir}/conf.d/%{modname}.conf.in
%{__install} -D -m0644 .libs/%{modname}.so $RPM_BUILD_ROOT%{apache_libexecdir}/%{modname}.so

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README README.SuSE
%dir %{apache_sysconfdir}/conf.d
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf.in
%{apache_libexecdir}/*.so

%changelog
* Tue May 11 2010 chris@computersalat.de
- fix build for CentOS/Redhat/Fedora ..
* Wed Mar 10 2010 chris@computersalat.de
- update to 3.1.2
  o compile errors on the Windows platform
- 3.1.1
  o This fixes a long-standing bug sufficiently serious to make
    ProxyHTMLMeta unusable for some users.
- 3.1.0
  o This version is a simplification from 3.0. Internationalisation
    code is replaced by hooks into mod_xml2enc, a more generic
    module to deal with i18n on behalf of mod_proxy_html and other
    modules using libxml2 to filter HTML and/or XML. This brings
    some further bugfixes to mod_proxy_html users.
* Mon Sep  7 2009 poeml@suse.de
- complete last change; forgot to load the module itself.
* Mon Sep  7 2009 poeml@suse.de
- remove LoadFile libxml2 config directive, and just link the
  module to libxml2 instead
- replace the LoadFile and LoadModule call in the example config
  with directions how to load the module(s)
* Mon Sep  7 2009 chris@computersalat.de
- removed post/postun section
  o no autoinstall/-deinstall of modules
  o removed a2enmod/a2dismod form PreReq
  o no restart on update for apache
- added README.SuSE
- install proxy_html.conf as mod_proxy_html.conf.in
- fixed config patch (@libdir@/libxml2.so.2)
* Fri Sep  4 2009 chris@computersalat.de
- initial pkg 3.0.1
